# LedgerDataResponse | xrpl
Documentation for xrpl

# Interface LedgerDataResponse

The response expected from a LedgerDataRequest.

#### Hierarchy

- BaseResponse
  - LedgerDataResponse

- Defined in packages/xrpl/src/models/methods/ledgerData.ts:64

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:40

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:39

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:33

### result

result: {
ledger_hash: string;
ledger_index: number;
marker?: unknown;
state: LedgerDataLedgerState [];
validated?: boolean;
}

#### Type declaration

- ##### ledger_hash: string

  Unique identifying hash of this ledger version.

- ##### ledger_index: number

  The ledger index of this ledger version.

- ##### `Optional` marker?: unknown

  Server-defined value indicating the response is paginated. Pass this to the next call to resume where this call left off.

- ##### state: LedgerDataLedgerState []

  Array of JSON objects containing data from the ledger's state tree, as defined below.

- ##### `Optional` validated?: boolean

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/ledgerData.ts:65

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:34

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:35

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:37

### `Optional` warnings

warnings?: ResponseWarning []

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:38

Generated using TypeDoc